Kerbal Space Program - Bug #782

Docking ports do not seem to allow redocking without a kick
06/18/2013 12:05 PM - sibaz
Assignee:

Category: Gameplay

Target version:
Description

I'm trying to assemble a space station in space. | have 4 components joined together in a line, a tug at one end, connected via
correctly inverted docking ports to a structural unit with ion engines on one side, connected to a multi port connector, connected to
another structural unit with ion engines on it.

I need to line up all the ion engines in the same direction, so | attempt to disconnect the clamps between the multi port connector and
the first structural unit. | then back away lightly with rcs, rotate the tug to aline the ion engines and go forwards to redock with the
multi port connector. It doesn't engage.

However, if | undock, then change to a different craft and back, or go back to the spaceport screen (things which make it reload the
models) then | can redock.

History

#1 - 06/27/2013 01:37 PM - doctorzuber

My experience has been that you simply need to get a suitable distance away (maybe 10 meters) before moving back in to re-dock.

| believe this is working as intended. Consider if it didn't do this. Any time you tried to undock it would turn right around and instantly re-dock you
before you had an opportunity to fire RCS and back away.

#2 - 06/27/2013 10:29 PM - sibaz

That was my original assumption, but | moved apart, well beyond the grip of the magnets. As my intention was simply to disconnect, rotate and
reconnect, moving too far apart defeats the object of the exersize.

Not sure what the diameter is of the medium sized docking port, but clearly the magentic range is less than that, when connecting initally. | would
suggest that if this is working (but the reactivation distance is much further than that), that the solution is to reduce the reactivation range. Like | say a
separation distance the same or slighty less than the diameter of the middle sized port, would seem about right.

#3 - 08/16/2013 10:26 AM - Ted
- Category set to 27

- Severity changed from Normal to Very Low

#4 - 07/17/2016 09:24 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 08/07/2016 11:40 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
